* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: "IBM Plex Sans", sans-serif;
}

h2 {
  font-size: 2rem;
  font-weight: bold;
  margin-bottom: 25px;
}

/* logo */
.site-header {
  top: 0;
  left: 0;
  width: 100%;
  padding: 0 1vw 2vh;
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 80px; 
  padding-left: calc(38vw + 40px);
  padding-top: 8px;
  background-color: #fff;
}

.nav-links {
  display: flex;
  gap: 20px;
}

.nav-links a {
  text-decoration: none;
  color: #121212;
  font-size: 1.2rem;
  font-weight: 500;
  padding: 1vw;
  transition: color 0.3s;
}

.nav-links a:hover {
  color: #EE1B2E;
}

.logos {
  display: flex;
  gap: 20px;
  margin-right: 20px;
}

.nlogo-img {
  width: 304px;
  height: 61px;
  object-fit: contain;
}

.clogo-img {
  width: 146px;
  height: 61px;
  object-fit: contain;
}

/* left */
.sidebar {
  position: fixed;
  top: 0;
  left: 0;
  width: 36vw;
  height: 100vh;
  padding: 2vw;
  background-color: #fff;
  overflow-y: auto;
}

.close-btn {
  position: absolute;
  top: 1vh;
  padding: 0.8vh 1vw 2vh;
  font-size: 1.5rem;
  cursor: pointer;
  font-weight: bold;
  color: #121212;
  transition: background 0.2s, color 0.2s;
  z-index: 10;
}

.close-btn:hover {
  color: #EE1B2E;
}

.sidebar-title {
  min-height: 20vh;
  margin-top: 5vh;
  display: flex;
  align-items: center;
}

.sidebar h1 {
  padding: 0 1vw 2vh;
  font-size: 3.5rem;
  text-align: left;
  margin: 0;
}

.sidebar-list p {
  padding: 1vh 1vw;
  font-size: 1.2rem;
  font-weight: bold;
  margin-top: 50px;
}

.sidebar-list ul {
  list-style: none;
  padding: 1vh 1vw;
  margin: 0;
}

.sidebar-item {
  padding: 1vh 0;
  font-size: 1rem;
  color: #121212;
  border-bottom: 1px solid #ddd;
  transition: color 0.2s;
}

.sidebar-item:hover {
  color: #EE1B2E;
}

.nav-arrows {
  position: absolute;
  bottom: 5vh;
  left: 0;
  width: 90%;
  display: flex;
  justify-content: space-between;
  padding: 0;
  margin: 0 1vw;
}

.arrow {
  font-size: 2rem;
  line-height: 2.5vw;
  cursor: pointer;
  margin: 0 2vw;
  transition: all 0.3s ease;
}

.arrow.disabled {
  pointer-events: none;
  opacity: 0.4;
  cursor: not-allowed;
}

.arrow:hover {
  color: #007BFF;
  transform: scale(1.25);
}

.scroll-to-top {
  position: fixed;
  bottom: 30px;
  right: 30px;
  width: 40px;
  height: 40px;
  background-color: #121212;
  color: #fff;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 20px;
  cursor: pointer;
  box-shadow: 0 2px 5px rgba(0,0,0,0.3);
  transition: all 0.3s ease;
}

.scroll-to-top:hover {
  background-color: #333;
  transform: scale(1.15);
}

/* right */
/* Main Content */
.main-content {
  margin-left: 34vw; /* Adjust based on sidebar width */
  padding-top: 2vh;   
}

.animation,
.diagram {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;      
}

.animation-container {
  margin-top: 5vh;
}

.animation-container video {
  width: 1000px !important;
  max-width: 100% !important;
  height: auto !important;
  display: block;
}

.learn-more-btn {
  display: block;
  margin: 5vh auto;
  padding: 1vh 1vw ;
  font-size: 1.2rem;
  color: #fff;
  background-color: #1976D2;
  border-radius: 0.75vw;
  cursor: pointer;
  transition: background 0.2s, transform 0.2s;
}

.learn-more-btn:hover {
  transform: translateY(-0.3vh) scale(1.02);
}

.hidden-content {
  visibility: hidden;
  opacity: 0;
  height: 0;
  overflow: hidden;
  transition: all 0.5s ease;
}

.hidden-content.revealed {
  visibility: visible;
  opacity: 1;
  height: auto;
  overflow: visible;
}

.diagram .image {
  margin: 20px 0;
  width: 100%;
  max-width: 400px;       
  max-height: 600px;  
  height: auto;  
  display: block;
}

.diagram .image img {
  border: 1px solid #ccc;
  border-radius: 10px;
}

.diagram .image-flex {
  display: flex;
  gap: 20px;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  max-width: 1000px;
  margin: 20 auto;
}

.diagram .image-flex img {
  width: 100%;
  max-width: 400px;       
  max-height: 600px;    
  object-fit: contain;
  height: auto;
  display: block;
  border: 1px solid #ccc;
  border-radius: 10px;
  transition: transform 0.2s;
  cursor: pointer;
}

.animation-container video,
.diagram .image img {
  width: 100%;
  height: auto;
  max-width: 1000px;
  display: block;
  margin: 0 auto;
}

/* Page 1 */
/* Description */
.description {
  padding: 8vh 5vw; 
  font-size: 1.5rem;
  line-height: 35px;
}

.description h2 {
  margin-bottom: 20px;
}

/* Image Slider */
section.major-processes,
section.panel-delivery,
section.on-site-process,
section.demolition-sequence,
section.sorting-phase,
section.reverse-logistics {
  position: relative;
  overflow: hidden;
  padding: 8vh 0;
}

.title-area {
  text-align: center;
  margin-bottom: 40px;
}

.processes-container {
  display: flex;
  flex-direction: row;
  transition: transform 0.5s ease-out;
  will-change: transform;
  scroll-behavior: smooth;
}

.process-card {
  width: 400px;
  height: 300px;
  margin: 0 30px;
  perspective: 1000px;
  flex-shrink: 0;
  position: relative;
  cursor: pointer;
}

.card-inner {
  width: 100%;
  height: 100%;
  position: relative;
  transform-style: preserve-3d;
  transition: transform 0.6s;
}

.process-card.flipped .card-inner {
  transform: rotateY(180deg);
}

.card-front,
.card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  border-radius: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1.2rem;
}

.card-front {
  flex-direction: column;
  padding: 10px;
}

.card-front img {
  width: 100%;
  height: 230px;
  object-fit: cover;
  margin-bottom: 10px;
  border-radius: 5px;
}

.card-back {
  background: #333;
  color: white;
  transform: rotateY(180deg);
  font-size: 3rem;
}

.major-processes .card-front h3 {
  font-size: 1.2rem;
  padding: 0 5px;
  line-height: 1.2;
}

/* grids */
.grids {
  text-align: center;
  padding: 8vh 5vw;
}

.container{
  max-width: 1000px;
  margin: auto;
}

.grids-grid {
  display: flex;
  justify-content: center;
  gap: 50px;
}

.grids-item {
  position: relative;
  background-color: #fff;
  border-radius: 10px;
  margin-top: 20px;
  height: 300px;
  width: 300px;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.1);
  transition: box-shadow 0.3s ease, transform 0.3s ease;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  padding: 20px;
}

.grids .grids-item:hover {
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
  transform: translateY(-5px);
}

.icon {
  width: 80px;
  height: 80px;
}

.grids-item .label {
  font-size: 1.2rem;
  font-weight: 600;
}

.grids-overlay p {
  font-size: 1.2rem;
}

.grid-btn {
  margin-top: 12px;
  padding: 6px 0;
  font-size: 1rem;
  color: #0077cc;      
  background: none;    
  border: none;        
  cursor: pointer;
  transition: color 0.3s ease;
}

.grid-btn:hover {
  color: #005fa3;      
  text-decoration: underline; 
}


/* Page 2 */
.delivery-card {
  width: 460px;
  height: 360px;
}

.delivery-card .card-front img {
  height: 300px;
}

.delivery-card .card-front h3 {
  font-size: 1.2rem;
  padding: 0 5px;
  line-height: 1.2;
}

/* Page 3 */
.onsite-card {
  width: 510px;
  height: 360px;
}

.onsite-card .card-front img {
  height: 300px;
}

.onsite-card .card-front h3 {
  font-size: 1.2rem;
  padding: 0 5px;
  line-height: 1.2;
}

/* Page4 */
.demo-card {
  width: 340px;
  height: 360px;
}

.demo-card .card-front img {
  height: 300px;
}

.demo-card .card-front h3 {
  font-size: 1.2rem;
  padding: 0 5px;
  line-height: 1.2;
}

/* Page5 */
.sorting-card {
  width: 510px;
  height: 360px;
}

.sorting-card .card-front img {
  height: 300px;
}

.sorting-card .card-front h3 {
  font-size: 1.2rem;
  padding: 0 5px;
  line-height: 1.2;
}

/* Page6 */
.reverse-card {
  width: 510px;
  height: 360px;
}

.reverse-card .card-front img {
  height: 300px;
}

.reverse-card .card-front h3 {
  font-size: 1.2rem;
  padding: 0 5px;
  line-height: 1.2;
}

.reverse-logistics p {
  font-size: 1.2rem;
  max-width: 800px;
  margin: 0 auto; 
}





/* Responsive Styles */
@media (max-width: 1285px) {

  .nav-links a {
    padding: 0 1vw;             
  }
  
  .close-btn {
    top: 4vh;                      
    padding: 0 1vw;             
    font-size: 1.2rem;            
  }

  .sidebar {
    width: 30vw;
  }

  .sidebar h1 {
    padding: 1vh 1vw;
    font-size: 2rem;
  }
  
  .sidebar-list p {
    font-size: 1rem;
  }

  .arrow {
    font-size: 1.5rem;
  }

  .nlogo-img {
    width: 204px;
    height: 61px;
  }

  .clogo-img {
    width: 106px;
    height: 61px;
  }

  .main-content {
    margin-left: 30vw;
    padding-top: 1vh;   
  }

  h2 {
    font-size: 1.5rem;
  }

  .animation-container video {
    width: 700px !important;
  }

  .learn-more-btn {
    padding: 1vh 1vw;
  }

  .icon {
    width: 70px;
    height: 70px;
  }

  .grids-item .label {
    font-size: 1rem;
  }

  .grids-overlay p {
    font-size: 1rem;
  }

  .description {
    font-size: 1.2rem;
  }

}
